<?php
namespace app\api\route;

use app\api\middleware\AllowOriginMiddleware;
use app\api\middleware\SeretKeyMiddleware;
use app\api\middleware\UserMiddleware;
use think\facade\Config;
use think\facade\Route;
use think\Response;

/**
 * 无需授权的接口
 */
Route::group('user',function () {
    //基本信息
    Route::rule('init','v1.user/init');
    //会员数据
    Route::rule('index', 'v1.user/index');
    //平台数据
    Route::rule('warehouse', 'v1.user/warehouse');
    //提交订单
    Route::rule('subOrder','v1.user/subOrder');
    //getPayOrder
    Route::rule('getPayOrder','v1.user/getPayOrder');
    //余额支付
    Route::rule('balancePay','v1.user/balancePay');
    //订单信息
    Route::rule('getOrderList','v1.user/getOrderList');
    //取消订单
    Route::rule('cancelOrder','v1.user/cancelOrder');
    //查看订单详情
    Route::rule('orderSubItem','v1.user/orderSubItem');
    //订单初始化数据
    Route::rule('orderInit','v1.user/orderInit');
    //订单下载
    Route::rule('orderDown','v1.user/orderDown');
    //充值
    Route::rule('rechargeX','v1.user/rechargeX');
    //资金情况
    Route::rule('rechargeInit','v1.user/rechargeInit');
    //明细数据
    Route::rule('detailList','v1.user/detailList');
    //我要提现
    Route::rule('subTx','v1.user/subTx');
    //提现列表
    Route::rule('txList','v1.user/txList');
    //订单详情
    Route::rule('orderInfoItem','v1.user/orderInfoItem');
    //提交问题反馈
    Route::rule('subOrderInfoMono','v1.user/subOrderInfoMono');
    //底单申请
    Route::rule('subOrderDdInfo','v1.user/subOrderDdInfo');
    //售后订单
    Route::rule('orderMonoList','v1.user/orderMonoList');
    //取消问题单
    Route::rule('orderMonoCancel','v1.user/orderMonoCancel');
    //底单申请
    Route::rule('orderDdList','v1.user/orderDdList');
    //底单取消
    Route::rule('orderDbCancel','v1.user/orderDbCancel');
    //佣金奖励
    Route::rule('extension','v1.user/extension');
    //检查充值
    Route::rule('checkRecharge','v1.user/checkRecharge');
    //修改基本信息
    Route::rule('account','v1.user/account');
    //修改密码
    Route::rule('password','v1.user/password');
    //推广显示
    Route::rule('extensionList','v1.user/extensionList');
    //绑定微信
    Route::rule('bind','v1.user/bind');
    //取消绑定
    Route::rule('delbind','v1.user/delbind');
    //vip
    Route::rule('vip','v1.user/vip');
    //rechargeXinit
    Route::rule('rechargeXinit','v1.user/rechargeXinit');
    //会员店铺
    Route::rule('shop','v1.user/shop');
    //会员店铺删除
    Route::rule('shopDel','v1.user/shopDel');
    //微信充值
    Route::rule('wxRecharge', 'v1.weixin/recharge');

})->middleware([
    AllowOriginMiddleware::class,
    UserMiddleware::class
]);
